=== debian/tests/control ===
Tests: taskflow-tests
Depends: cmake,
         doctest-dev,
         g++,
         libtaskflow-cpp-dev
Restrictions: allow-stderr
