=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      dversionmangle=s/\+ds//, \
      repack, repacksuffix=+ds" \
    https://github.com/taskflow/taskflow/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
