## taskflow 3.7.0+ds

=== unittests/CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,16 @@
   test_deferred_scalable_pipelines
   test_runtimes
   test_data_pipelines
-  test_workers
 )
+
+string(FIND '${CMAKE_CXX_FLAGS}' "-fsanitize" sanitize)
+#message("sanitize='${sanitize}'")
+
+if(${sanitize} EQUAL -1)
+  message(STATUS "Add test_exception to unit tests")
+  list(APPEND TF_UNITTESTS test_exceptions)
+endif()
+
 
 foreach(unittest IN LISTS TF_UNITTESTS)
   add_executable(${unittest} ${unittest}.cpp)
