=== debian/changelog ===
taskflow (3.7.0+ds-3deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:19:48 +0800

taskflow (3.7.0+ds-3) unstable; urgency=medium

  * Fix autopkgtest to use libatomic on armel

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Jul 2024 21:03:18 +0100

taskflow (3.7.0+ds-2) unstable; urgency=medium

  * Fix tests on archs where size_t is only 32 bits

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Jul 2024 13:57:42 +0100

taskflow (3.7.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Add Multi-Arch hints

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Jul 2024 21:57:30 +0100
