=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: libtaskflow-cpp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}
 Suggests: taskflow-doc,
           taskflow-profiler
@@ -58,6 +59,7 @@
 Package: taskflow-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libtaskflow-cpp-dev,
           taskflow-profiler
