## taskflow 3.8.0+ds

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   async
   subflow_async
   dependent_async
+  dependent_async_algorithm
   observer 
   subflow 
   fibonacci 
@@ -14,7 +15,6 @@
   while_loop
   if_else
   nested_if_else
-  priority
   visualization 
   parallel_for 
   parallel_sort
@@ -32,16 +32,16 @@
   run 
   corun
   runtime
-  worker_interface
   composition
   limited_concurrency
   cancel
+  exception
 )
 
 foreach(example IN LISTS TF_EXAMPLES)
   add_executable(${example} ${example}.cpp)
   target_link_libraries(
-    ${example} ${PROJECT_NAME} tf::default_settings
+    ${example} ${PROJECT_NAME} ${ATOMIC_LIBRARY} tf::default_settings
     )
   # set emcc options
   if (CMAKE_SYSTEM_NAME STREQUAL Emscripten)
