=== debian/changelog ===
taskflow (3.8.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Thu, 07 Nov 2024 21:31:21 +0000
