=== debian/changelog ===
taskflow (3.9.0+ds-1ubuntu1) resolute; urgency=medium

  * d/control: reduce to archs for cpp-httplib

 -- Mario Limonciello <superm1@debian.org>  Mon, 23 Feb 2026 12:25:51 -0600

taskflow (3.9.0+ds-1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:32:31 +0100

taskflow (3.9.0+ds-1build1) plucky; urgency=medium

  * Rebuild against latest cpp-httplib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 08:19:36 -0400

taskflow (3.9.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Switch Maintainer and Uploaders so maintainer is now DPT

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Feb 2025 18:55:40 +0000
