=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: taskflow
 Section: libs
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Rules-Requires-Root: no
 Build-Depends: cmake,
                debhelper-compat (= 13)
@@ -32,7 +32,7 @@
 
 Package: libtaskflow-cpp-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64el s390x
 Multi-Arch: same
 Depends: ${misc:Depends}
 Suggests: taskflow-doc,
@@ -44,7 +44,7 @@
 
 Package: taskflow-profiler
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64el s390x
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
